Subject: bug#6801: 24.0.50; M-w C-y gives an error under OS X

From: David De La Harpe Golden <[email-masked]>
Date: Mon, 09 Aug 2010 02:39:29 +0100

On 05/08/10 11:45, Joel Holveck wrote:
> When using OS X, if I press M-w then C-y, then an error is raised:
>      Quit: "pasteboard doesn't contain valid data"
> (Cause and workaround follows recipe.)
>

FWIW, there are known issues in this area (and possibly unknown ones to 
of course) on ns arising from recent changes to defaults for selection 
handling.

If you are okay with rebuilding emacs, please try the ns-clipboard 
-pboard_r2.diff patch under bug #6677 that you'll find at the link below.

It won't solve all problems in the area in ns emacs but it should fix 
your immediate problem as reported, I think (actually, I know it does on 
my system, though I'm testing in gnustep):

http://debbugs.gnu.org/cgi/bugreport.cgi?bug=6677#29